// #pragma once
#ifndef AnimationrigNull_H
#define AnimationrigNull_H

#include <vector>
#include <string>
#include <algorithm>
#include <math.h>
#include <functional>

#include <CommonMemoryStream.h>
#include <AnimationrigMisc.h>
#include <Animationrig.h>
#include <AnimationrigState.h>

using namespace CommonMemoryStream;
using namespace std;

namespace Animrig {
	class NullRenderer : public StateRenderer
	{
		NullRenderer()
			: StateRenderer()
		{
			fObjectType = ObjectType::Null;

			clear();
		}
	};
	class AnyRenderer : public StateRenderer
	{
		AnyRenderer(ObjectType objecttype)
			: StateRenderer()
		{
			fObjectType = objecttype;

			clear();
		}
	};
}

#endif